

Patch from Nigel Cunningham



 suspend.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN kernel/suspend.c~dont-sync-with-stopped-pdflush kernel/suspend.c
--- 25/kernel/suspend.c~dont-sync-with-stopped-pdflush	2003-02-23 22:39:21.000000000 -0800
+++ 25-akpm/kernel/suspend.c	2003-02-23 22:39:21.000000000 -0800
@@ -604,12 +604,12 @@ static void restore_console(void)
 
 static int prepare_suspend_processes(void)
 {
+	sys_sync();	/* Syncing needs pdflushd, so do it before stopping processes */
 	if (freeze_processes()) {
 		printk( KERN_ERR "Suspend failed: Not all processes stopped!\n" );
 		thaw_processes();
 		return 1;
 	}
-	sys_sync();
 	return 0;
 }
 

_
